Subject: [tsvwg] Fwd: New Version Notification for draft-asai-tsvwg-transport-review-01.txt

From: Hirochika Asai <[email-masked]>
Date: Thu, 25 Feb 2021 23:07:45 +0900

Dear TSVWG community,

I’ve updated our draft <draft-asai-tsvwg-transport-review> that reviews the
current transport functionality and proposes (logical) separation of data path
and data flow layers.

In revision -00, we got some comments on the security model and
communication models (e.g., unicast, multicast, broadcast, and anycast),
and then we added those points in this revision.

I really appreciate your comments and feedbacks.

Best,
Hirochika Asai

> Begin forwarded message:
> 
> From: [email-masked]
> Subject: New Version Notification for draft-asai-tsvwg-transport-review-01.txt
> Date: February 22, 2021 at 8:40:11 PM GMT+9
> To: "Hirochika Asai" <[email-masked]>
> 
> 
> A new version of I-D, draft-asai-tsvwg-transport-review-01.txt
> has been successfully submitted by Hirochika Asai and posted to the
> IETF repository.
> 
> Name:		draft-asai-tsvwg-transport-review
> Revision:	01
> Title:		Separation of Data Path and Data Flow Sublayers in the Transport Layer
> Document date:	2021-02-22
> Group:		Individual Submission
> Pages:		23
> URL:            https://www.ietf.org/archive/id/draft-asai-tsvwg-transport-review-01.txt
> Status:         https://datatracker.ietf.org/doc/draft-asai-tsvwg-transport-review/
> Htmlized:       https://datatracker.ietf.org/doc/html/draft-asai-tsvwg-transport-review
> Htmlized:       https://tools.ietf.org/html/draft-asai-tsvwg-transport-review-01
> Diff:           https://www.ietf.org/rfcdiff?url2=draft-asai-tsvwg-transport-review-01
> 
> Abstract:
>   This document reviews the architectural design of the transport
>   layer.  In particular, this document separates the transport layer
>   into two sublayers; the data path and the data flow layers.  The data
>   path layer provides functionality on the data path, such as
>   connection handling, path quality and trajectory monitoring, waypoint
>   management, and congestion control.  The data flow layer provides
>   additional functionality upon the data path layer, such as flow
>   control for the receive buffer management, retransmission for
>   reliable data delivery, and transport layer security.  The data path
>   layer multiplexes multiple data flow layer protocols and provides
>   data path information to the data flow layer to control data
>   transmissions, such as prioritization and inverse multiplexing for
>   multipath protocols.
> 
> 
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat
> 
>